package br.com.webservices;

import javax.ejb.EJB;
import javax.ejb.Stateless;
import javax.ws.rs.Consumes;
import javax.ws.rs.GET;
import javax.ws.rs.Path;
import javax.ws.rs.PathParam;
import javax.ws.rs.Produces;
import javax.ws.rs.core.MediaType;
import javax.ws.rs.core.Response;

import br.com.business.CadastroItensBusiness;
import br.com.to.CadastroItensTo;
import br.com.to.CadastroTo;
import br.com.to.CadastroXmlTo;

@Stateless 
@Path("/testejavarest")
public class TesteJavaRest {

	@EJB
	private CadastroItensBusiness cadastroItensBusiness;
	
	@GET
	@Path("{parametro1}/{parametro2}")
	@Produces(MediaType.APPLICATION_XML)
	@Consumes(MediaType.APPLICATION_XML)    
	public Response returnServico(@PathParam("parametro1") String parametro1,
								       @PathParam("parametro2") String parametro2) {
		
		CadastroItensTo cadastroItensTo = new CadastroItensTo();
		cadastroItensTo.setParametro1(parametro1);
		cadastroItensTo.setParametro2(parametro2);
    	
    	/* Toda regra de negocio vai no ejb, nao pode ter regra de negocio no webservice */
    	CadastroTo cadastroTo = cadastroItensBusiness.returnServico(cadastroItensTo);
    	CadastroXmlTo result = new CadastroXmlTo();
    	result.setCadastroId(cadastroTo.getCadastroId());
    	result.setQuantidade(cadastroTo.getQuantidade());
    	
		return Response.status(200).entity(result).build();
	}
}
